
import { _decorator, Component, Node, Label, view, ResolutionPolicy } from 'cc';
const { ccclass, property } = _decorator;

/**
 * Predefined variables
 * Name = Demo
 * DateTime = Mon Nov 08 2021 22:01:08 GMT+0800 (中国标准时间)
 * Author = cst4you
 * FileBasename = demo.ts
 * FileBasenameNoExtension = demo
 * URL = db://assets/scripts/demo.ts
 * ManualUrl = https://docs.cocos.com/creator/3.3/manual/zh/
 *
 */
 
@ccclass('Demo')
export class Demo extends Component {
    
    @property(Label)
    public StageSizeLabel: Label | null = null;
    
    start () {
        const resolutionPolicy = new ResolutionPolicy(ResolutionPolicy.ContainerStrategy.PROPORTION_TO_FRAME, ResolutionPolicy.ContentStrategy.SHOW_ALL);
        view.setResolutionPolicy(resolutionPolicy);
        view.resizeWithBrowserSize(true);
    }

    update (deltaTime: number) {
        this.StageSizeLabel.string = view.getCanvasSize().x + " " + view.getCanvasSize().y;
    }
}

/**
 * [1] Class member could be defined like this.
 * [2] Use `property` decorator if your want the member to be serializable.
 * [3] Your initialization goes here.
 * [4] Your update function goes here.
 *
 * Learn more about scripting: https://docs.cocos.com/creator/3.3/manual/zh/scripting/
 * Learn more about CCClass: https://docs.cocos.com/creator/3.3/manual/zh/scripting/ccclass.html
 * Learn more about life-cycle callbacks: https://docs.cocos.com/creator/3.3/manual/zh/scripting/life-cycle-callbacks.html
 */
